GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

FX Rate

REST APIsTradingMarket DataFX Rate

FX Rate

GEThttps://api.gemini.com/v2/fxrate/{symbol}/{timestamp}

We have a growing international institutional customer base. When pulling market data for charting, it can be useful to have access to our FX rate for the relevant currency at that time.

Note

Gemini does not offer foreign exchange services. This endpoint is for historical reference only and does not provide any guarantee of future exchange rates.

GETv2/fxrate/AUDUSD/1594651859000
curl --request GET \
  --url https://api.gemini.com/v2/fxrate/AUDUSD/1594651859000 \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>'

Roles

The API key you use to access this endpoint must have the Auditor role assigned. See Roles for more information.

Supported Pairs

AUDUSD CADUSD COPUSD EURUSD CHFUSD HKDUSD NZDUSD GBPUSD BRLUSD INRUSD SGDUSD KRWUSD JPYUSD CNYUSD

Path Parameters

symbolstring·required
Trading pair symbol BTCUSD, etc. See symbols and minimums.
timestamprequired
The timestamp to pull the FX rate for. Gemini strongly recommends using milliseconds instead of seconds for timestamps.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Responses

Successful operation

fxPairstring
The requested currency pairExample: AUDUSD
ratenumber (double)
The exchange rateExample: 0.69
asOfstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
providerstring
The market data providerExample: bcb
benchmarkstring
The market for which the retrieved price applies toExample: Spot
Example Responses
{
  "fxPair": "AUDUSD",
  "rate": "0.69",
  "asOf": 1594651859000,
  "provider": "bcb",
  "benchmark": "Spot"
}
PreviousList PricesNextDerivatives
Last modified on May 4, 2026